Subject: Re: gawk not taking redirected input under command.com
From: "Peter S Tillier" <[email-masked]>
To: <[email-masked]>
Date: Mon, 7 Oct 2002 18:19:16 +0100

----- Original Message -----
From: "Christopher Faylor" <[email-masked]>
To: <[email-masked]>
Sent: Monday, October 07, 2002 3:42 PM
Subject: Re: gawk not taking redirected input under command.com

> On Mon, Oct 07, 2002 at 07:14:26AM -0700, Barry Buchbinder wrote:
> >  C:\> gawk '{print "x" $0 "y"}' < autoexec.bat
> >gave no "x" but "y" was at the *beginning* of the line!
>
> Calm down.
>
> >C:\> gawk '{print $0 "yz" }' < autoexec.bat
> >showed that what was happening was that the "yz" was *overwriting*
the
> >beginning of the line.
>
> So, to summarize, this is a standard CRLF problem.  If you look at the
> output in od or less you can see what is going on.
>
> I don't know why this version of gawk is having CRLF problems.  I'll
> check to see if this is a cygwin problem or a gawk problem but I
suspect
> it is a gawk problem.
>
> cgf
Chris,

This bug was fixed in release gawk-3.1.1-3

Peter S Tillier        [email-masked]

__________________________________________________
Do You Yahoo!?
Everything you'll ever need on one web page
from News and Sport to Email and Music Charts
http://uk.my.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/